cmake_minimum_required(VERSION 2.8.3)
project(qt_pi_msgs)

find_package(catkin REQUIRED COMPONENTS std_msgs geometry_msgs sensor_msgs nav_msgs message_generation)

add_message_files(
    FILES
    Encoder.msg
    PID.msg
)

add_service_files(
    FILES
    GetBatteryInfo.srv
    GetBaudRate.srv
    GetEncoderData.srv
    GetPIDData.srv
    SetPIDData.srv
)

generate_messages(
    DEPENDENCIES
    std_msgs
    geometry_msgs
    sensor_msgs
    nav_msgs
)

catkin_package(
    CATKIN_DEPENDS
    message_runtime
    std_msgs
    geometry_msgs
    sensor_msgs
    nav_msgs
)
